### Method

# Ggit Repository add_remote_fetch

#### Declaration [src]

    void
    ggit_repository_add_remote_fetch (
      GgitRepository* repository,
      GgitRemote* remote,
      const gchar* refspec,
      GError** error
    )

#### Description [src]

Adds a fetch refspec to the `remote`‘s configuration. Adds `refspec` to the fetch list in the configuration. No loaded remote instances will be affected.

#### Parameters

`remote`

  Type: `GgitRemote`

  A `GgitRemote`.

  The data is owned by the caller of the method.

`refspec`

  Type: `const gchar*`

  The fetch refspec.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.